%?mingw_package_header

Name:           mingw-gnutls
Version:        3.4.11
Release:        %mkrel 1
Summary:        MinGW GnuTLS TLS/SSL encryption library

# The libraries are LGPLv2.1+, utilities are GPLv3+
License: GPLv3+ and LGPLv2+
Group:          Development/Other
URL:            http://www.gnutls.org/
#Source0:        ftp://ftp.gnutls.org/gcrypt/gnutls/v3.2/gnutls-%{version}.tar.xz
# We use the same source tarball as Fedora native package, which
# has the patent tainted SRP code removed.
Source0:        gnutls-%{version}-hobbled.tar.xz
Source2: hobble-gnutls

BuildArch:      noarch

Patch1: gnutls-3.2.7-rpath.patch
Patch2: gnutls-3.1.11-nosrp.patch
Patch3: gnutls-3.4.1-default-policy.patch

# MinGW-specific patches.
Patch1000:      gnutls-fix-external-libtasn1-detection.patch
Patch1001:      gnutls-3.4.7-socket.patch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-libtasn1 >= 4.3
BuildRequires:  mingw32-readline
BuildRequires:  mingw32-zlib
BuildRequires:  mingw32-p11-kit >= 0.23.1
BuildRequires:  mingw32-nettle >= 3.1.1

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-libtasn1 >= 4.3
BuildRequires:  mingw64-readline
BuildRequires:  mingw64-zlib
BuildRequires:  mingw64-p11-kit >= 0.23.1
BuildRequires:  mingw64-nettle >= 3.1.1

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  texinfo

# Yes, really ...
BuildRequires:  pkgconfig

# For native /usr/bin/msgfmt etc.
BuildRequires:  gettext-devel


%description
GnuTLS TLS/SSL encryption library.  This library is cross-compiled
for MinGW.


# Win32
%package -n mingw32-gnutls
Summary:        MinGW GnuTLS TLS/SSL encryption library
Requires:       pkgconfig
Requires:       mingw32-libtasn1 >= 4.3

%description -n mingw32-gnutls
GnuTLS TLS/SSL encryption library.  This library is cross-compiled
for MinGW.

# Win64
%package -n mingw64-gnutls
Summary:        MinGW GnuTLS TLS/SSL encryption library
Requires:       pkgconfig
Requires:       mingw64-libtasn1 >= 4.3

%description -n mingw64-gnutls
GnuTLS TLS/SSL encryption library.  This library is cross-compiled
for MinGW.


%?mingw_debug_package


%prep
%setup -q -n gnutls-%{version}

%patch1 -p1 -b .rpath
%patch2 -p1 -b .nosrp
%patch3 -p1 -b .default-policy

%patch1000 -p0 -b .libtasn1
%patch1001 -p1 -b .socket
sed 's/gnutls_srp.c//g' -i lib/Makefile.in
sed 's/gnutls_srp.lo//g' -i lib/Makefile.in
rm -f lib/minitasn1/*.c lib/minitasn1/*.h

chmod +x %{SOURCE2}
%{SOURCE2} -e


%build
autoreconf -f
%mingw_configure                   \
    --disable-static               \
    --disable-openssl-compatibility \
    --disable-srp-authentication   \
    --disable-nls \
    --disable-rpath \
    --disable-cxx \
    --disable-libdane \
    --disable-non-suiteb-curves \
    --enable-local-libopts \
    --without-tpm

%mingw_make %{?_smp_mflags}


%install
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

# Remove .la files
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/*.la

# The .def files aren't interesting for other binaries
rm -f $RPM_BUILD_ROOT%{mingw32_bindir}/*.def
rm -f $RPM_BUILD_ROOT%{mingw64_bindir}/*.def

# Remove info and man pages which duplicate stuff in Fedora already.
rm -rf $RPM_BUILD_ROOT%{mingw32_infodir}
rm -rf $RPM_BUILD_ROOT%{mingw32_mandir}

rm -rf $RPM_BUILD_ROOT%{mingw64_infodir}
rm -rf $RPM_BUILD_ROOT%{mingw64_mandir}


%files -n mingw32-gnutls
%license COPYING COPYING.LESSER
%{mingw32_bindir}/certtool.exe
%{mingw32_bindir}/gnutls-cli-debug.exe
%{mingw32_bindir}/gnutls-cli.exe
%{mingw32_bindir}/gnutls-serv.exe
%{mingw32_bindir}/libgnutls-30.dll
%{mingw32_bindir}/ocsptool.exe
%{mingw32_bindir}/p11tool.exe
%{mingw32_bindir}/psktool.exe
%{mingw32_libdir}/libgnutls.dll.a
%{mingw32_libdir}/pkgconfig/gnutls.pc
%{mingw32_includedir}/gnutls/

%files -n mingw64-gnutls
%license COPYING COPYING.LESSER
%{mingw64_bindir}/certtool.exe
%{mingw64_bindir}/gnutls-cli-debug.exe
%{mingw64_bindir}/gnutls-cli.exe
%{mingw64_bindir}/gnutls-serv.exe
%{mingw64_bindir}/libgnutls-30.dll
%{mingw64_bindir}/ocsptool.exe
%{mingw64_bindir}/p11tool.exe
%{mingw64_bindir}/psktool.exe
%{mingw64_libdir}/libgnutls.dll.a
%{mingw64_libdir}/pkgconfig/gnutls.pc
%{mingw64_includedir}/gnutls/




%changelog
* Wed May 11 2016 tv <tv> 3.4.11-1.mga6
+ Revision: 1012924
- new release
- rebuild for new mingw-nettle
- new release

* Mon Feb 08 2016 umeabot <umeabot> 3.1.11-9.mga6
+ Revision: 945194
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1.11-8.mga5
+ Revision: 744188
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.11-7.mga5
+ Revision: 682443
- Mageia 5 Mass Rebuild

* Mon Sep 23 2013 neoclust <neoclust> 3.1.11-6.mga4
+ Revision: 483841
- imported package mingw-gnutls

